<?php
// Datenbankverbindung herstellen
include_once 'config/config.php';

// Überprüfen, ob die ID des zu löschenden Artikels übergeben wurde
if(isset($_GET['id']) && !empty($_GET['id'])){
    // ID des zu löschenden Artikels aus der URL erhalten
    $article_id = $_GET['id'];

    // Verbindung zur Datenbank herstellen
    $conn = new mysqli($host, $username, $password, $database);
    if ($conn->connect_error) {
        die("Verbindung zur Datenbank fehlgeschlagen: " . $conn->connect_error);
    }

    // SQL-Abfrage vorbereiten, um die Details des zu löschenden Artikels abzurufen
    $sql_select = "SELECT * FROM materials WHERE id = $article_id";
    $result_select = $conn->query($sql_select);
    $deleted_article_details = '';

    if ($result_select->num_rows > 0) {
        $row = $result_select->fetch_assoc();
        // Details des gelöschten Artikels für die Lognachricht speichern
        $deleted_article_details = "Artikel: \"" . $row["item_name"] . "\", Hersteller: \"" . $row["manufacturer"] . "\", Soll: \"" . $row["amount_should"] . "\", Ist: \"" . $row["amount_is"] . "\", MDH: \"" . $row["expiration_date"] . "\", EAN: \"" . $row["barcode"] . "\"";
    }

    // SQL-Abfrage vorbereiten, um den Artikel zu löschen
    $sql_delete = "DELETE FROM materials WHERE id = $article_id";

    // Ausführen der SQL-Abfrage zum Löschen des Artikels
    if ($conn->query($sql_delete) === TRUE) {
        // Lognachricht zusammenstellen
        $log_message = date("Y-m-d H:i:s") . " - Artikel gelöscht: $deleted_article_details";
        
        // Lognachricht in die Datei schreiben
        file_put_contents('log.txt', $log_message . PHP_EOL, FILE_APPEND);
        
        // Weiterleitung zur Artikelübersicht, nachdem der Artikel erfolgreich gelöscht wurde
        header("Location: article_overview.php");
        exit();
    } else {
        echo "Fehler beim Löschen des Artikels: " . $conn->error;
    }

    // Verbindung zur Datenbank schließen
    $conn->close();
} else {
    // Falls keine Artikel-ID übergeben wurde, Fehlermeldung ausgeben
    echo "Fehler: Artikel-ID nicht gefunden";
}
?>
